Fibo Edit
Amalaich
bria/fibo-edit/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/gd/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit/edit",
"input": {}
}
Cuir fòn chun mhodail Fibo Edit (bria/fibo-edit/edit) tro Doitong API. Sgrìobhainnean airson àidseantan: https://doitong.com/gd/developers/models/bria/fibo-edit/edit.md
POST https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
Ma tha inbhe na freagairt "queued" no "running", dèan poll air GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 gus am bi i "succeeded"; tha na faidhlichean ann an outputs[].url. Bidh POST https://api.doitong.com/v1/quote/bria/fibo-edit/edit leis an aon bhodhaig a’ tilleadh na prìse cheart ron ruith.
An t-iarrtas seo: $0.04 40 creideasan API Ruith e air an duilleig seo
An iuchair API ùr agad. Chan eil e ri fhaicinn ach an-dràsta, agus tha e mar-thà sa chòd agus ann an raon iuchair API gu h-ìosal. Cùm dìomhair e: na cuir ann an còd a ruitheas ann am brabhsair gu bràth.
Thèid a’ chiad toradh agad an-seo
Tog iarrtas gu h-ìosal agus ruith e leis an iuchair API agad. Tha na h-às-churan air an lethbhreacadh dhan stòradh againn, air an cumail gu bràth no 7 latha an-asgaidh.
Tog iarrtas
Tha na smachdan air an cruthachadh bho sgeama a’ mhodail. Bidh an còd agus a’ phrìs ag ùrachadh fhad ’s a dh’atharraicheas tu iad.
/run/bria/fibo-edit/edit?wait=20
tuairmse → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit/edit",
"input": {},
"wait_seconds": 20
}
}
}
Ruith an t-iarrtas seo
Fuirichidh an iuchair agad sa bhrobhsair seo: thèid a cur chun Doitong API a-mhàin agus a sàbhaladh (localStorage) a-mhàin ma chuireas tu comharra ri Cuimhnich. Faigh iuchair API
Mu Fibo Edit
Deasaichidh e dealbh le smachd mionaideach. Am measg nan inntrigidhean tha `image_url`, `mask_url` roghainneil, agus `instruction` no `vgl` ro-thogte. Air neo, thoir seachad `original_vgl` agus `new_vgl` gus deasachadh a rèir an eadar-dhealachaidh. Tha `steps_num` eadar 20 agus 50 (bunaiteach 30), agus tha `guidance_scale`, `negative_prompt` agus `seed` rim faighinn cuideachd.
Paramadairean
Cuir an t-ainm canonical no an t-ainm dùthchasach, chan e an dà chuid. Ainmean canonical
image_urlroghainneil
image
mask_urlroghainneil
mask
instructionroghainneil
vglroghainneil
vgl.short_descriptionroghainneil
vgl.objectsroghainneil
vgl.objects[].descriptionroghainneil
vgl.objects[].locationroghainneil
vgl.objects[].relationshipriatanach
vgl.objects[].relative_sizeroghainneil
vgl.objects[].shape_and_colorroghainneil
vgl.objects[].textureroghainneil
vgl.objects[].appearance_detailsroghainneil
vgl.objects[].number_of_objectsroghainneil
vgl.objects[].poseroghainneil
vgl.objects[].expressionroghainneil
vgl.objects[].clothingroghainneil
vgl.objects[].actionroghainneil
vgl.objects[].genderroghainneil
vgl.objects[].skin_tone_and_textureroghainneil
vgl.objects[].orientationroghainneil
vgl.background_settingroghainneil
vgl.lightingroghainneil
vgl.lighting.conditionsroghainneil
vgl.lighting.directionroghainneil
vgl.lighting.shadowsroghainneil
vgl.aestheticsroghainneil
vgl.aesthetics.compositionroghainneil
vgl.aesthetics.color_schemeroghainneil
vgl.aesthetics.mood_atmosphereroghainneil
vgl.aesthetics.preference_scoreroghainneil
vgl.aesthetics.aesthetic_scoreroghainneil
vgl.photographic_characteristicsroghainneil
vgl.photographic_characteristics.depth_of_fieldroghainneil
vgl.photographic_characteristics.focusroghainneil
vgl.photographic_characteristics.camera_angleroghainneil
vgl.photographic_characteristics.lens_focal_lengthroghainneil
vgl.style_mediumroghainneil
vgl.text_renderroghainneil
vgl.contextroghainneil
vgl.artistic_styleroghainneil
vgl.edit_instructionroghainneil
original_vglroghainneil
original_vgl.short_descriptionroghainneil
original_vgl.objectsroghainneil
original_vgl.objects[].descriptionroghainneil
original_vgl.objects[].locationroghainneil
original_vgl.objects[].relationshipriatanach
original_vgl.objects[].relative_sizeroghainneil
original_vgl.objects[].shape_and_colorroghainneil
original_vgl.objects[].textureroghainneil
original_vgl.objects[].appearance_detailsroghainneil
original_vgl.objects[].number_of_objectsroghainneil
original_vgl.objects[].poseroghainneil
original_vgl.objects[].expressionroghainneil
original_vgl.objects[].clothingroghainneil
original_vgl.objects[].actionroghainneil
original_vgl.objects[].genderroghainneil
original_vgl.objects[].skin_tone_and_textureroghainneil
original_vgl.objects[].orientationroghainneil
original_vgl.background_settingroghainneil
original_vgl.lightingroghainneil
original_vgl.lighting.conditionsroghainneil
original_vgl.lighting.directionroghainneil
original_vgl.lighting.shadowsroghainneil
original_vgl.aestheticsroghainneil
original_vgl.aesthetics.compositionroghainneil
original_vgl.aesthetics.color_schemeroghainneil
original_vgl.aesthetics.mood_atmosphereroghainneil
original_vgl.aesthetics.preference_scoreroghainneil
original_vgl.aesthetics.aesthetic_scoreroghainneil
original_vgl.photographic_characteristicsroghainneil
original_vgl.photographic_characteristics.depth_of_fieldroghainneil
original_vgl.photographic_characteristics.focusroghainneil
original_vgl.photographic_characteristics.camera_angleroghainneil
original_vgl.photographic_characteristics.lens_focal_lengthroghainneil
original_vgl.style_mediumroghainneil
original_vgl.text_renderroghainneil
original_vgl.contextroghainneil
original_vgl.artistic_styleroghainneil
original_vgl.edit_instructionroghainneil
new_vglroghainneil
new_vgl.short_descriptionroghainneil
new_vgl.objectsroghainneil
new_vgl.objects[].descriptionroghainneil
new_vgl.objects[].locationroghainneil
new_vgl.objects[].relationshipriatanach
new_vgl.objects[].relative_sizeroghainneil
new_vgl.objects[].shape_and_colorroghainneil
new_vgl.objects[].textureroghainneil
new_vgl.objects[].appearance_detailsroghainneil
new_vgl.objects[].number_of_objectsroghainneil
new_vgl.objects[].poseroghainneil
new_vgl.objects[].expressionroghainneil
new_vgl.objects[].clothingroghainneil
new_vgl.objects[].actionroghainneil
new_vgl.objects[].genderroghainneil
new_vgl.objects[].skin_tone_and_textureroghainneil
new_vgl.objects[].orientationroghainneil
new_vgl.background_settingroghainneil
new_vgl.lightingroghainneil
new_vgl.lighting.conditionsroghainneil
new_vgl.lighting.directionroghainneil
new_vgl.lighting.shadowsroghainneil
new_vgl.aestheticsroghainneil
new_vgl.aesthetics.compositionroghainneil
new_vgl.aesthetics.color_schemeroghainneil
new_vgl.aesthetics.mood_atmosphereroghainneil
new_vgl.aesthetics.preference_scoreroghainneil
new_vgl.aesthetics.aesthetic_scoreroghainneil
new_vgl.photographic_characteristicsroghainneil
new_vgl.photographic_characteristics.depth_of_fieldroghainneil
new_vgl.photographic_characteristics.focusroghainneil
new_vgl.photographic_characteristics.camera_angleroghainneil
new_vgl.photographic_characteristics.lens_focal_lengthroghainneil
new_vgl.style_mediumroghainneil
new_vgl.text_renderroghainneil
new_vgl.contextroghainneil
new_vgl.artistic_styleroghainneil
new_vgl.edit_instructionroghainneil
seedroghainneil
steps_numroghainneil
negative_promptroghainneil
guidance_scaleroghainneil
Gabhaidh paramadairean faidhle ri URL poblach https://, URI data: suas ri 10 MB, no file_url de luchdachadh suas. Faidhlichean
Toradh
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {},
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Raointean toraidh
- image
- object {url, content_type, file_name, file_size, width, height}Ìomhaigh a chaidh a chruthachadh leis a’ mhodail.
- images
- array of object {url, content_type, file_name, file_size, width, height}Ìomhaighean a chaidh a chruthachadh le gineadh.
- vgl
- objectSgrìobhainn VGL a chaidh a chleachdadh gus an ìomhaigh a chruthachadh.
- structured_instruction
- objectAlias nach eilear a’ moladh tuilleadh airson an aon sgrìobhainn; cleachd `vgl` na àite.
Seòrsaichean eile de Fibo Edit
Barrachd mhodalan: Deasachadh Ìomhaighean
Do riochdairean AI: tha an duilleag seo mar Markdown aig https://doitong.com/gd/developers/models/bria/fibo-edit/edit.md. Na modailean agus na treòraichean uile: https://doitong.com/developers/llms.txt






